Directive to apply toolbar specific styles and behavior.

May be applied to a button, or other simple element:

    <button aiCardToolbarAction>
      <svg ibmIcon="calendar" size="16"></svg>
    </button>

It will also apply the correct styles to an `ibm-overflow-menu`. For example:

    <ibm-overflow-menu aiCardToolbarAction>
      <ibm-overflow-menu-option>First option</ibm-overflow-menu-option>
      <ibm-overflow-menu-option>Second option</ibm-overflow-menu-option>
      <ibm-overflow-menu-option>Third option</ibm-overflow-menu-option>
      <ibm-overflow-menu-option>Fourth option</ibm-overflow-menu-option>
    </ibm-overflow-menu>

For the overflow-menu it will override the `flip`, `offset`, and `triggerClass` to toolbar specific values.

### Hierarchy

- CardToolbarActionDirective

### Implements

- OnInit

## Index

### Constructors

- constructor

### Properties

- classList
- overflowMenuRef

### Methods

- ngOnInit

## Constructors

### constructor

- new CardToolbarActionDirective(overflowMenuRef: OverflowMenu): CardToolbarActionDirective

- - Defined in packages/angular/src/card/card-toolbar-action.directive.ts:31

  #### Parameters

  - ##### overflowMenuRef: OverflowMenu

    optional ref to the OverflowMenu instance this directive may be attached to

  #### Returns CardToolbarActionDirective

## Properties

### classList

@HostBinding({"hostPropertyName":"'class'"})
classList: string = 'iot--card--toolbar-action iot--card--toolbar-svg-wrapper bx--btn--icon-only bx--btn bx--btn--ghost'

- Defined in packages/angular/src/card/card-toolbar-action.directive.ts:30

### Protected overflowMenuRef

overflowMenuRef: OverflowMenu

## Methods

### ngOnInit

- ngOnInit(): void

- - Defined in packages/angular/src/card/card-toolbar-action.directive.ts:39

  #### Returns void

Generated using TypeDoc